Functions | Variables

# software/wrsw_rtud/rtu_hash.c File Reference

`#include <hw/trace.h>`
`#include "rtu_hash.h"`

## Functions
static uint16_t | crc16 (uint16_t const init_crc, uint16_t const message)
void | rtu_hash_set_poly (uint16_t poly)
uint16_t | rtu_hash (uint8_t mac[ETH_ALEN], uint8_t fid)
## Variables
static uint32_t | hash_poly
| Polynomial used to calculate the MAC entry hash code.

## Function Documentation

static uint16_t crc16 | ( | uint16_t const | init_crc,
|  | uint16_t const | message
| ) |  | `[static]`

uint16_t rtu_hash | ( | uint8_t | mac[ETH_ALEN],
|  | uint8_t | fid
| ) |  |

void rtu_hash_set_poly | ( | uint16_t | poly ) |

## Variable Documentation

uint32_t hash_poly`[static]`

Polynomial used to calculate the MAC entry hash code.

All Data Structures Files Functions Variables Defines